/*
 * File: EarthImage.js
 * -------------------
 * This program draws a picture of the earth taken by Apollo 17 along with
 * a photo credit.  The image is scaled to fit exactly within the width
 * of the graphics window.
 */

"use strict";

/* Constants */

const GWINDOW_WIDTH = 400;
const GWINDOW_HEIGHT = 415;
const CITATION_FONT = "12px Helvetica";
const CITATION_Y = 3;

/* Main program */

function EarthImage() {
	let gw = GWindow(GWINDOW_WIDTH, GWINDOW_HEIGHT);
	let image = GImage("EarthImage.png", 0, 0);
	let callback = function() {
		image.scale(GWINDOW_WIDTH/image.getWidth());
   	gw.add(image);
   	addCitation(gw, "Courtesy NASA/JPL-Caltech ");
	};
	image.addEventListener("load", callback);
}

/*
 * Adds a citation in the lower right corner of the window.
 */

function addCitation(gw, text) {
	let label = GLabel(text);
	let x = gw.getWidth() - label.getWidth();
	let y = gw.getHeight() - CITATION_Y;
	gw.add(label, x, y);
}
